"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd3a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd4e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd440>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd580>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd620>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd6c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd760>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd800>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd8a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd940>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dd9e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dda80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddb20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddbc0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddc60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddd00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddda0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dde40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddee0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ddf80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de020>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de0c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de160>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de200>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de2a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de340>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de3e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de480>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de520>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de5c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de660>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de700>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de7a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de840>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de8e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361de980>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dea20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361deac0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361deb60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dec00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361deca0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361ded40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dede0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dee80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361def20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361defc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df060>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df100>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df1a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df240>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df2e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df380>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df420>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df4c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df560>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df600>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df6a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df740>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df7e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df880>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df920>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361df9c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfa60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfb00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfba0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfc40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfce0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfd80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfe20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dfec0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361dff60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc040>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc0e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc180>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc220>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc2c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc360>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc400>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc4a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc5e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc540>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc680>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc720>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc7c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcf361fc860>)]
name: str = 'fr_HOCCN'
